> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dittofeed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/admin/users/subscriptions

> Get subscriptions for a user



## OpenAPI

````yaml get /api/admin/users/subscriptions
openapi: 3.1.0
info:
  title: Dittofeed API
  description: Dittofeed API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/users/subscriptions:
    get:
      tags:
        - Users
      description: Get subscriptions for a user
      parameters:
        - schema:
            type: string
          in: query
          name: workspaceId
          required: true
        - schema:
            type: string
          in: query
          name: userId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  workspaceId:
                    type: string
                  userId:
                    type: string
                  subscriptionGroups:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        isSubscribed:
                          type: boolean
                        channel:
                          anyOf:
                            - type: string
                              enum:
                                - Email
                            - type: string
                              enum:
                                - MobilePush
                            - type: string
                              enum:
                                - Sms
                            - type: string
                              enum:
                                - Webhook
                      required:
                        - id
                        - name
                        - isSubscribed
                        - channel
                required:
                  - workspaceId
                  - userId
                  - subscriptionGroups

````